Playonlinux açılmıyor

Cümleten Selamun Aleyküm. Playonlinux daha önce çalışıyordu diye hatırlıyorum. Epey zamandır kullanmadım. Hatta kullanmadığım için de kaldırmıştım zaten. Geçenlerde yeniden yükledim. Hata vermeden yüklendi ancak açmak istediğimde açılmıyor. Simgeye tıkladığım zaman hiç bir şey olmadan duruyor. Terminal üzerinden açmayı denediğimde de aşağıdaki hatayı veriyor. Python ve python 2 ile alakalı bir hata veriyor sanırım. Bende python 3 yüklü diye hatırlıyorum. playonlinux’un daha güncel bir versiyonunu mu aramam gerek yoksa başka türlü çalıştırmanın yolu var mı acaba yardımcı olabilirseniz çok sevinirim.

Terminalden pip install wxPython komutunu verip tekrar çalıştırmayı denermisin

‘pip’ komutu bulunamadı, ancak şu şekilde kurulabilir:
sudo apt install python3-pip

verdiğiniz komut hata verdi altta yazanı uyguladım ama yine açılmadı.

sudo apt install python3-pip
pip install wxPython
Sırası ile denermisin

$ pip3 install wxPython
Defaulting to user installation because normal site-packages is not writeable
Collecting wxPython
  Downloading wxPython-4.2.0.tar.gz (71.0 MB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 71.0/71.0 MB 10.9 MB/s eta 0:00:00
  Preparing metadata (setup.py) ... error
  error: subprocess-exited-with-error
  
  × python setup.py egg_info did not run successfully.
  │ exit code: 1
  ╰─> [8 lines of output]
      Traceback (most recent call last):
        File "<string>", line 2, in <module>
        File "<pip-setuptools-caller>", line 34, in <module>
        File "/tmp/pip-install-ikjxdwmw/wxpython_7c2bd2f48b8b4298bf2b582368562517/setup.py", line 27, in <module>
          from buildtools.config import Config, msg, opj, runcmd, canGetSOName, getSOName
        File "/tmp/pip-install-ikjxdwmw/wxpython_7c2bd2f48b8b4298bf2b582368562517/buildtools/config.py", line 30, in <module>
          from attrdict import AttrDict
      ModuleNotFoundError: No module named 'attrdict'
      [end of output]
  
  note: This error originates from a subprocess, and is likely not a problem with pip.
error: metadata-generation-failed

× Encountered error while generating package metadata.
╰─> See above for output.

note: This is an issue with the package mentioned above, not pip.
hint: See above for details.
--- Logging error ---
Traceback (most recent call last):
  File "/usr/local/lib/python3.10/site-packages/pip/_internal/utils/logging.py", line 177, in emit
    self.console.print(renderable, overflow="ignore", crop=False, style=style)
  File "/usr/local/lib/python3.10/site-packages/pip/_vendor/rich/console.py", line 1673, in print
    extend(render(renderable, render_options))
  File "/usr/local/lib/python3.10/site-packages/pip/_vendor/rich/console.py", line 1305, in render
    for render_output in iter_render:
  File "/usr/local/lib/python3.10/site-packages/pip/_internal/utils/logging.py", line 134, in __rich_console__
    for line in lines:
  File "/usr/local/lib/python3.10/site-packages/pip/_vendor/rich/segment.py", line 249, in split_lines
    for segment in segments:
  File "/usr/local/lib/python3.10/site-packages/pip/_vendor/rich/console.py", line 1283, in render
    renderable = rich_cast(renderable)
  File "/usr/local/lib/python3.10/site-packages/pip/_vendor/rich/protocol.py", line 36, in rich_cast
    renderable = cast_method()
  File "/usr/local/lib/python3.10/site-packages/pip/_internal/self_outdated_check.py", line 130, in __rich__
    pip_cmd = get_best_invocation_for_this_pip()
  File "/usr/local/lib/python3.10/site-packages/pip/_internal/utils/entrypoints.py", line 58, in get_best_invocation_for_this_pip
    if found_executable and os.path.samefile(
  File "/usr/local/lib/python3.10/genericpath.py", line 101, in samefile
    s2 = os.stat(f2)
FileNotFoundError: [Errno 2] Böyle bir dosya ya da dizin yok: '/usr/local/bin/pip'
Call stack:
  File "/usr/local/bin/pip3", line 8, in <module>
    sys.exit(main())
  File "/usr/local/lib/python3.10/site-packages/pip/_internal/cli/main.py", line 70, in main
    return command.main(cmd_args)
  File "/usr/local/lib/python3.10/site-packages/pip/_internal/cli/base_command.py", line 101, in main
    return self._main(args)
  File "/usr/local/lib/python3.10/site-packages/pip/_internal/cli/base_command.py", line 223, in _main
    self.handle_pip_version_check(options)
  File "/usr/local/lib/python3.10/site-packages/pip/_internal/cli/req_command.py", line 190, in handle_pip_version_check
    pip_self_version_check(session, options)
  File "/usr/local/lib/python3.10/site-packages/pip/_internal/self_outdated_check.py", line 236, in pip_self_version_check
    logger.warning("[present-rich] %s", upgrade_prompt)
  File "/usr/local/lib/python3.10/logging/__init__.py", line 1489, in warning
    self._log(WARNING, msg, args, **kwargs)
  File "/usr/local/lib/python3.10/logging/__init__.py", line 1624, in _log
    self.handle(record)
  File "/usr/local/lib/python3.10/logging/__init__.py", line 1634, in handle
    self.callHandlers(record)
  File "/usr/local/lib/python3.10/logging/__init__.py", line 1696, in callHandlers
    hdlr.handle(record)
  File "/usr/local/lib/python3.10/logging/__init__.py", line 968, in handle
    self.emit(record)
  File "/usr/local/lib/python3.10/site-packages/pip/_internal/utils/logging.py", line 179, in emit
    self.handleError(record)
Message: '[present-rich] %s'
Arguments: (UpgradePrompt(old='22.2.1', new='22.3.1'),)

Hata verdi ne yazık ki

$ sudo apt install python3-pip
 
Paket listeleri okunuyor... Bitti
Bağımlılık ağacı oluşturuluyor... Bitti
Durum bilgisi okunuyor... Bitti               
python3-pip zaten en yeni sürümde (20.3.4-4+deb11u1).
0 paket yükseltilecek, 0 yeni paket kurulacak, 0 paket kaldırılacak ve 0 paket yükseltilmeyecek.

$ pip install wxPython
Requirement already satisfied: wxPython in /usr/lib/python3/dist-packages (4.0.7)
Requirement already satisfied: numpy in /usr/lib/python3/dist-packages (from wxPython) (1.19.5)


tamam tekrar deneyin playonlinux’u. olmaz ise sudo apt install wxpython-tools u da kurup tekrar deneyin.

Onu da yaptım ama ne yazık ki yine açılmadı. Yine de ilginize çok teşekkür ederim.

Flatpak paketi olarak da varmış.

https://flathub.org/apps/details/org.phoenicis.playonlinux

1 Beğeni

Evet oradan yükleyince çalıştı. Çok teşekkür ederim.